For the complete documentation index, see llms.txt. This page is also available as Markdown.

WireIntermedFi

Perform various operations on wire intermediary FI records.

Symitar eDocs References: Coming soon.

Operations

getWireIntermedFiAdvSelectFields

post

Retrieve intermediary financial institution details with selected fields and advanced information

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
WireIntermedFiAdvLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getWireIntermedFiAdvSelectFields
POST /nexum/627/persistent/wire/getWireIntermedFiAdvSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 365

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "WireIntermedFiAdvLocator": 1,
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiAdv": {
    "Locator": 1,
    "Text": [
      {
        "EntryId": 1,
        "Text": "text"
      }
    ]
  }
}

getWireIntermedFiAdvPagedListSelectFields

post

Retrieve paged intermediary financial institution details with selected fields and advanced information

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWireIntermedFiAdvPagedListSelectFields
POST /nexum/627/persistent/wire/getWireIntermedFiAdvPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 430

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiAdv": [
    {
      "Locator": 1,
      "Text": [
        {
          "EntryId": 1,
          "Text": "text"
        }
      ]
    }
  ],
  "Token": "text"
}

searchWireIntermedFiAdvPagedSelectFields

post

Searches for wire intermediary financial institution advanced paged information with selected fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchWireIntermedFiAdvPagedSelectFields
POST /nexum/627/persistent/wire/searchWireIntermedFiAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 462

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiAdv": [
    {
      "Locator": 1,
      "Text": [
        {
          "EntryId": 1,
          "Text": "text"
        }
      ]
    }
  ],
  "Token": "text"
}

getWireIntermedFiInfoSelectFields

post

Retrieve intermediary financial institution information with selected fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
WireIntermedFiInfoLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getWireIntermedFiInfoSelectFields
POST /nexum/627/persistent/wire/getWireIntermedFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 368

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "WireIntermedFiInfoLocator": 1,
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiInfo": {
    "Locator": 1,
    "Text": [
      {
        "EntryId": 1,
        "Text": "text"
      }
    ]
  }
}

getWireIntermedFiInfoPagedListSelectFields

post

Retrieve paged intermediary financial institution information with selected fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWireIntermedFiInfoPagedListSelectFields
POST /nexum/627/persistent/wire/getWireIntermedFiInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 432

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiInfo": [
    {
      "Locator": 1,
      "Text": [
        {
          "EntryId": 1,
          "Text": "text"
        }
      ]
    }
  ],
  "Token": "text"
}

searchWireIntermedFiInfoPagedSelectFields

post

Searches for wire intermediary financial institution information paged with selected fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchWireIntermedFiInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireIntermedFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 464

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        1
      ]
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "WireIntermedFiInfo": [
    {
      "Locator": 1,
      "Text": [
        {
          "EntryId": 1,
          "Text": "text"
        }
      ]
    }
  ],
  "Token": "text"
}

updateWireIntermedFiAdvByID

post

Updates wire intermediary financial institution advanced information by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
WireIntermedFiAdvLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateWireIntermedFiAdvByID
POST /nexum/627/persistent/wire/updateWireIntermedFiAdvByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 326

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "WireIntermedFiAdvLocator": 1,
  "WireIntermedFiAdvFields": {
    "Locator": 1,
    "Text": [
      {
        "EntryId": 1,
        "Text": "text"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": {
      "Record": "text",
      "ErrorCode": "text",
      "ErrorMessage": "text",
      "PrimaryKeyField": [
        {
          "Name": "text",
          "Value": "text"
        }
      ]
    }
  }
}

updateWireIntermedFiInfoByID

post

Updates wire intermediary financial institution information by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
WireIntermedFiInfoLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateWireIntermedFiInfoByID
POST /nexum/627/persistent/wire/updateWireIntermedFiInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 328

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "WireSequenceNumber": 1,
  "WireIntermedFiInfoLocator": 1,
  "WireIntermedFiInfoFields": {
    "Locator": 1,
    "Text": [
      {
        "EntryId": 1,
        "Text": "text"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": {
      "Record": "text",
      "ErrorCode": "text",
      "ErrorMessage": "text",
      "PrimaryKeyField": [
        {
          "Name": "text",
          "Value": "text"
        }
      ]
    }
  }
}

Last updated

Was this helpful?